% let's not talk about this...
%\cleartoleftpage
{
\newcommand{\yes}{\featurepresent}
\newcommand{\no}{\featuremissing}
\newcommand{\incomplete}{\featureincomplete}
\newcommand{\na}{\featurena}
\newcommand{\note}[1]{\textsuperscript{#1}}

\begin{table}[t!]
    \renewcommand{\arraystretch}{1.5}
    \setlength{\tabcolsep}{0.6em}
    
    \begin{tabularx}{\linewidth}{>{\bfseries}X *{2}{l} *{7}{l}}
        \toprule
        \csvreader[
                no head,
                late after line=\\ \ifnumequal{\thecsvinputline}{7}{\midrule}{} \ifnumequal{\thecsvinputline}{13}{\midrule}{}, 
                late  after first line=\\\midrule, 
                late after last line=\\\bottomrule, 
                /csv/separator=semicolon]
            {tables/rtos-comparison.csv}{}
            {
            \csviffirstrow{\csvcoli &\csvcolii &\csvcoliii &\rot{\csvcoliv} &\rot{\csvcolv} &\rot{\csvcolvi} &\rot{\csvcolvii} &\rot{\csvcolviii} &\rot{\csvcolix} &\rot{\csvcolx}}
                 {\csvcoli &\csvcolii &\csvcoliii &\csvcoliv &\csvcolv &\csvcolvi &\csvcolvii &\csvcolviii &\csvcolix &\csvcolx}
            % insert second header row
            \ifnumequal{\thecsvinputline}{1}{\\\cmidrule(lr){4-7}\cmidrule(lr){8-9} & & &\multicolumn{4}{c}{Scheduler type} &\multicolumn{2}{c}{Target}}{}
            }
    \end{tabularx}

    \caption[Comparison of readily available RTOS]{Comparison of commonly used RTOS, \yes: true, \no: false, \incomplete: announced but not yet implemented, \na: no information given, \note{1}: sold separately, \note{2}: SIL-4}
    \label{tab:rtos}
\end{table}


\begin{table}[t!]
    \renewcommand{\arraystretch}{1.5}
    \setlength{\tabcolsep}{0.6em}
    \begin{tabularx}{\linewidth}{>{\bfseries}X *{15}{l}}
        \toprule
        \\[-1.55ex] % hack to align both tables
        \csvreader[
                no head,
                late after line=\\ \ifnumequal{\thecsvinputline}{7}{\midrule}{} \ifnumequal{\thecsvinputline}{13}{\midrule}{}, 
                late  after first line=\\\midrule, 
                late after last line=\\\bottomrule, 
                /csv/separator=semicolon]
            {tables/rtos-comparison.csv}{}
            {
                \csviffirstrow{\csvcoli &\rot{\csvcolxi} &\rot{\csvcolxii} &\rot{\csvcolxiii} &\rot{\csvcolxiv} &\rot{\csvcolxv} &\rot{\csvcolxvi} &\rot{\csvcolxvii} &\rot{\csvcolxviii} &\rot{\csvcolxix} &\rot{\csvcolxx} &\rot{\csvcolxxi} &\rot{\csvcolxxii} &\rot{\csvcolxxiii} &\rot{\csvcolxxiv}}
                {\csvcoli &\csvcolxi &\csvcolxii &\csvcolxiii &\csvcolxiv &\csvcolxv &\csvcolxvi &\csvcolxvii &\csvcolxviii &\csvcolxix &\csvcolxx &\csvcolxxi &\csvcolxxii &\csvcolxxiii &\csvcolxxiv}
            % insert second header row
            \ifnumequal{\thecsvinputline}{1}{\\\cmidrule(lr){3-4}\cmidrule(lr){6-9}\cmidrule(lr){10-13} & &\multicolumn{2}{c}{HAL} & &\multicolumn{4}{c}{Network Stacks} &\multicolumn{4}{c}{Connectivity} & &}{}
            }
    \end{tabularx}

    \captionof*{tab:rtos}{Table \thetable\ (continued)}
\end{table}
}